Redmine - Defect #30099

Multiple blank lines in pre tags are not preserved in Textile
2018-12-05 03:58 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution: Affected version:

Description

Line breaks should be rendered intact in pre blocks but consecutive line breaks are not rendered in Textile. It works as expected in
Markdown.
Input:

Description
P Edit B { L

2pre>
0000000000

1111111111

2222222222

3333333333
</pre>

Expected:

Description

00800000000

1111111111

2222222222

3333333333

Actual:

Description

0000000000
1111111111
2222222222

3333333333

Related issues:
Related to Redmine - Defect #30987: Unnecessary empty lines are displayed whe... Closed

Associated revisions

Revision 17891 - 2019-02-20 11:31 - Go MAEDA

Multiple blank lines in pre tags are not preserved in Textile (#30099).

Patch by Takenori TAKAKI.
Revision 17939 - 2019-03-11 00:37 - Go MAEDA
Reverts r17891 (#30099).

History

#1 - 2019-02-18 05:37 - Takenori TAKAKI
- File 30099.patch added

| think that it is possible to solve the problem by swapping the order of 'escape pre content' and 'clean up white space' in RedCloth#to_html.
| made a patch and attach it.

#2 - 2019-02-18 14:59 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#3 - 2019-02-20 11:32 - Go MAEDA

- Subject changed from Consecutive line breaks in a pre element are not rendered in Textile to Multiple blank lines in pre tags are not preserved in
Textile

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for fixing this issue.

#4 - 2019-03-09 02:40 - Go MAEDA
- Related to Defect #30987: Unnecessary empty lines are displayed when syntax highlighting added

#5 - 2019-03-09 02:43 - Go MAEDA

- Status changed from Closed to Reopened

This patch causes a problem reported as #30987.

| think r17891 should be reverted.

#6 - 2019-03-11 00:38 - Go MAEDA

- Status changed from Reopened to New
- Target version deleted (4.1.0)

- Resolution deleted (Fixed)

#7 - 2019-03-19 09:53 - Takenori TAKAKI
- File 30099-fixed-30987.patch added
Go MAEDA wrote:
This patch causes a problem reported as #30987.

| think r17891 should be reverted.

Sorry for the problem reported in # 30987.
| made another patch to fix this problem.
| hope it will be improvement for Redmine.

#8 - 2019-03-19 09:56 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2020-02-29 13:30 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0
Setting the target version to 4.2.0.

#10 - 2021-03-25 08:31 - Marius BALTEANU
- Target version changed from 4.2.0 to 5.0.0

#11 - 2022-03-21 21:08 - Marius BALTEANU

- Target version changed from 5.0.0 to Candidate for next major release
